Tryton - Issues

 

Issue6813

Title RFC: promotion coupon
Priority feature Status resolved
Superseder Nosy List ced, reviewbot, roundup-bot
Type feature request Components
Assigned To ced Keywords review
Reviews 38821002
View: 38821002

Created on 2017-10-04.15:51:49 by ced, last changed by ced.

Messages
review38821002 updated at https://codereview.tryton.org/38821002/#ps80001
New changeset ea6d4fd5a7e8 by C├ędric Krier in branch 'default':
Initial commit
http://hg.tryton.org/modules/sale_promotion_coupon/rev/ea6d4fd5a7e8
review38821002 updated at https://codereview.tryton.org/38821002/#ps60001
review38821002 updated at https://codereview.tryton.org/38821002/#ps40001
review38821002 updated at https://codereview.tryton.org/38821002/#ps20001
review38821002 updated at https://codereview.tryton.org/38821002/#ps1
msg36065 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-10-04.15:51:49
We have the module sale_promotion that apply promotion to everyone based on some criteria. But a common practice to give promotion to customer is by given coupon [1].
So I think we could extend the sale_promotion to manage optionally coupon on them. In such case, the promotion will only be applied if the sale has the right coupon linked to it (and if other criteria match).
There are different kind of coupons, here is the list of common one that we could support by default:

- always valid
- with unique usage
- with unique usage per customer

[1] https://en.wikipedia.org/wiki/Coupon
History
Date User Action Args
2017-12-20 19:12:21cedsetstatus: chatting -> resolved
2017-12-20 19:10:03reviewbotsetstatus: resolved -> chatting
messages: + msg37405
2017-12-20 19:04:24roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg37404
2017-12-01 11:56:16reviewbotsetmessages: + msg37129
2017-10-11 15:14:05reviewbotsetmessages: + msg36209
2017-10-11 14:46:12reviewbotsetmessages: + msg36206
2017-10-04 16:08:15reviewbotsetnosy: + reviewbot
messages: + msg36067
2017-10-04 15:52:38cedsetstatus: in-progress -> testing
reviews: 38821002
keyword: + review
2017-10-04 15:51:49cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)